jQuery(document).ready(function($) {

	// NAVBAR TOGGLE
	//---------------------------

	$('.nav-toggle').click(function(e)
	{
		e.preventDefault();
	});


	// MASONRY
	//---------------------------

	// $('.new-articles').masonry({
	// 	// columnWidth: 260,
	// 	isFitWidth: true,
	// 	gutter: 30,
	// 	itemSelector: '.new-articles-item'
	// });


	// BACK TO TOP
	//---------------------------

	var scroll_timer;
	var displayed = false;
	var $message = $('#backToTop');
	var $window = $(window);
	var top = $(document.body).children(0).position().top;

	/* react to scroll event on window */
	$window.scroll(function () {
		window.clearTimeout(scroll_timer);
		scroll_timer = window.setTimeout(function () {
			if($window.scrollTop() <= top)
			{
				displayed = false;
				$message.fadeOut(500);
			}
			else if(displayed == false)
			{
				displayed = true;
				$message.stop(true, true).show().click(function () { $message.fadeOut(500); });
			}
		}, 100);
	});

	$('a', $message).click(function () {
		$('html, body').animate({scrollTop:0}, 'fast');
		return false;
	});

	// UTILITIES
	// --------------------------

	// inventory menu dropdown
	$('.m_login .dropdown-menu, .m_login .dropdown-menu input, .m_login .dropdown-menu label, .m_login .dropdown-menu a').click(function(e) {
		e.stopPropagation();
	});
});