{if isset($featured_articles) && $featured_articles}
	<div class="ia-items featured-articles">
		{foreach $featured_articles as $article}
			<div class="media ia-item">
				{assign 'imgthumb' $article.image}
				{if $imgthumb}
					<a class="pull-left" href="{ia_url type='url' item='articles' data=$article}">
						{printImage imgfile=$imgthumb.path title=$article.title width='150' class='media-object'}
					</a>
				{/if}

				<div class="media-body">
					<h3 class="media-heading">
						{ia_url item='articles' type='link' data=$article text=$article.title}
					</h3>
					<p class="ia-item-body">{$article.summary} <a href="{ia_url type='url' item='articles' data=$article}">{lang key='continue_reading'}</a></p>
				</div>
			</div>
		{/foreach}
	</div>
{/if}